What are the system requirements for AOL Mail?

Text Size


What are the system requirements for AOL Mail?

AOL Mail has been tested with several combinations of operating systems and browsers. Other combinations may also work, but the configurations listed in the solution below were tested and are supported.

Windows 7:

Internet Explorer 8.0

Netscape Navigator 7.2 and higher

Mozilla Firefox 1.x (Firefox 1.5 or higher recommended)

Windows Vista:

Internet Explorer 7.0 and higher

Netscape Navigator 7.1 and higher

Mozilla Firefox 1.x (Firefox 1.5 or higher recommended)

Searchlight 1.0

Windows XP:

Internet Explorer 7.0 and higher

Netscape Navigator 7.1 and higher

Mozilla Firefox 1.x (Firefox 1.5 or higher recommended)

Searchlight 1.0

Windows 2000:

Internet Explorer 6.0

Netscape Navigator 7.1 and higher

Windows Me and Windows 98:

Internet Explorer 5.5 and 6.0

Netscape Navigator 7.1 and higher

Mac OS X 10.5:

Safari 4.0

Mozilla Firefox 3.x

Mac OS X 10.3.7:

Safari 1.2.4 (Safari 2.0 or higher recommended)

Mozilla Firefox 1.x (Firefox 1.5 or higher recommended)

You should not have any problems accessing AOL Mail as long as you are using the browsers mentioned above.




About this article:
Last updated: 06-10-2014
© 2013 AOL Inc.